Subject: [OSPF] OSPF for IPv6: Router link LSA

From: Sandip Dey <[email-masked]>
Date: Wed, 10 Feb 2010 09:43:38 +0530

Hi

I have a very basic query.

As per RFC 2740 , section 3.4.3.1

"Each of the router's interfaces to the area are then described by

appending "link descriptions" to the router-LSA. Each link

description is 16 bytes long, consisting of 5 fields: (link) Type,

Metric, Interface ID, Neighbor Interface ID and Neighbor Router ID

(see Section A.4.3). *Interfaces in state "Down" or "Loopback" are not*

*described (although looped back interfaces can contribute prefixes to*

*Intra-Area-Prefix-LSAs). Nor are interfaces without any full*

*adjacencies described.* All other interfaces to the area add zero, one

or more link descriptions, the number and content of which depend on

the interface type. Within each link description, the Metric field is

always set the interface's output cost and the Interface ID field is

set to the interface's OSPF Interface ID."

Does it mean that during exchange state , the DD packet won't conatin the
summary for router LSA since  the condition "Nor are interfaces without any
full

adjacencies described" not satisfied?

Regards

Sandip

---

From: Acee Lindem <[email-masked]>
Date: Wed, 10 Feb 2010 06:17:00 -0500

Hi Sandip,

If there are no links meeting the criteria for inclusion in the Router-LSA, I'd say it doesn't really matter whether you originate an empty Router-LSA or defer origination until you have a constituent link. I think originating an empty Router-LSA is slightly simpler from an implementation standpoint. 
Hope this helps,
Acee
P.S. Note that RFC 2740 has been replaced by RFC 5340. 

On Feb 9, 2010, at 11:13 PM, Sandip Dey wrote:

> (see Section A.4.3). Interfaces in state "Down" or "Loopback" are not
> 
> described (although looped back interfaces can contribute prefixes to
> 
> Intra-Area-Prefix-LSAs). Nor are interfaces without any full
> 
> adjacencies described. All other interfaces to the area add zero, one
> 
> Does it mean that during exchange state , the DD packet won't conatin the summary for router LSA since  the condition "Nor are interfaces without any full
> 
> _______________________________________________
> OSPF mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ospf

---

From: Sandip Dey <[email-masked]>
Date: Thu, 11 Feb 2010 11:04:08 +0530

Thanks. It really helped.

Regards
Sandip

On Wed, Feb 10, 2010 at 4:47 PM, Acee Lindem <[email-masked]> wrote:

> Hi Sandip,
>
> If there are no links meeting the criteria for inclusion in the Router-LSA,
> I'd say it doesn't really matter whether you originate an empty Router-LSA
> or defer origination until you have a constituent link. I think originating
> an empty Router-LSA is slightly simpler from an implementation standpoint.
> Hope this helps,
> Acee
> summary for router LSA since  the condition "Nor are interfaces without
> any full
>